### Enumeration

# WebKit2 InputHints

since: 2.28

#### Declaration

    flags WebKit2.InputHints

#### Description [src]

Enum values used to describe hints that might be taken into account by input methods.

Available since: 2.28

#### Members

`WEBKIT_INPUT_HINT_NONE`

  No special behavior suggested.

  - Value: `0`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_SPELLCHECK`

  Suggest spell checking.

  - Value: `1`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_LOWERCASE`

  Suggest to not autocapitlize.

  - Value: `2`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_UPPERCASE_CHARS`

  Suggest to capitalize all text.

  - Value: `4`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_UPPERCASE_WORDS`

  Suggest to capitalize the first character of each word.

  - Value: `8`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_UPPERCASE_SENTENCES`

  Suggest to capitalize the first word of each sentence.

  - Value: `16`
  - Available since: 2.28
`WEBKIT_INPUT_HINT_INHIBIT_OSK`

  Suggest to not show an onscreen keyboard.

  - Value: `32`
  - Available since: 2.28